clear all, close all;

meters_coordinates = 0:0.01:30;
meters_altitude = 0:0.01:30;
meters_residual_range = 0:0.01:30;

%X,Y,Z Distortion
 figure("Name","Probability")
 subplot(2,2,1);
 hold on
 title("Probability of GNSS distortion - coordinates X,Y,Z");
 xlabel("meters_coordinates");
 ylabel("Probability");
 xlim([0 20]);
 ylim([0 1]);
 filenames={'gps_errors.mat','glonass_errors.mat','galileo_errors.mat','beidou_errors.mat'};
 for i=1:numel(filenames)
     load(filenames{i});
    for j=1:length(hist_error_3D)
    distr_error_3D(j)=sum(hist_error_3D(1:j));
    end;
    plot((meters_coordinates),distr_error_3D);
 end
 legend('GPS','GLONASS','Galileo','BeiDou');
 hold off

 %Latitude, Longtitude
 subplot(2,2,2);
 hold on
 title("Probability of GNSS distortion - Latitude, Longtitude");
 xlabel("meters_coordinates");
 ylabel("Probability");
 xlim([0 20]);
 ylim([0 1]);
 filenames={'gps_errors.mat','glonass_errors.mat','galileo_errors.mat','beidou_errors.mat'};
 for i=1:numel(filenames)
     load(filenames{i});
    for j=1:length(hist_error_2D)
    distr_error_2D(j)=sum(hist_error_2D(1:j));
    end;
    plot((meters_coordinates),distr_error_2D);
 end
 legend('GPS','GLONASS','Galileo','BeiDou');
 hold off

 %Altitude
 subplot(2,2,3);
 hold on
 title("Probability of GNSS distortion - Altitude");
 xlabel("meters_coordinates");
 ylabel("Probability");
 xlim([0 20]);
 ylim([0 1]);
 filenames={'gps_errors.mat','glonass_errors.mat','galileo_errors.mat','beidou_errors.mat'};
 for i=1:numel(filenames)
     load(filenames{i});
    for j=1:length(hist_error_Alt)
    distr_error_Alt(j)=sum(hist_error_Alt(1:j));
    end;
    plot((meters_coordinates),distr_error_Alt);
 end
 legend('GPS','GLONASS','Galileo','BeiDou');
 hold off

 %RRE
 subplot(2,2,4);
 hold on
 title("Probability of GNSS distortion - Residual Range");
 xlabel("meters_coordinates");
 ylabel("Probability");
 xlim([0 20]);
 ylim([0 1]);
 filenames={'gps_errors.mat','glonass_errors.mat','galileo_errors.mat','beidou_errors.mat'};
 for i=1:numel(filenames)
     load(filenames{i});
    for j=1:length(hist_res_range)
    distr_res_range(j)=sum(hist_res_range(1:j));
    end;
    plot((meters_coordinates),distr_res_range);
 end
 legend('GPS','GLONASS','Galileo','BeiDou');
 hold off
